<template>
  <div class="posiciones">
    <posicion
      v-for="(posicion, index) in ultimasPosiciones"
      :posicion="posicion"
      :key="posicion.id"
      :posiciones="posiciones"
    />
  </div>
</template>

<script>
import Posicion from '@/components/Posicion.vue'

export default {
  name: 'Posiciones',
  components: { Posicion },
  props: ['posiciones'],
  computed: {
    ultimasPosiciones() {
      let ultimasPosiciones = []
      for (const posicion of [...this.posiciones].reverse()) {
        if (
          !ultimasPosiciones.find(
            ({ pirata: { id } }) => id === posicion.pirata.id,
          )
        ) {
          ultimasPosiciones.push(posicion)
        }
      }
      return ultimasPosiciones
    },
  },
}
</script>

<style lang="scss" scoped>
.posiciones {
  width: 100%;
}
</style>
